{% extends 'base.html' %}

	{% block title %}Register{% endblock %}

	{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Register</h1>
				<!-- {% if error == True %}
					<p class="text-danger">Invalid user credentials, please check your username and password</p>
				{% endif %} -->
				<!-- {% if is_user_registered == False %}
					<h1>Duplicate User Found</h1>
					<p>A duplicate user has been found, user creation unsuccessful</p>
				{% else %}
					<h1>User Successful Created</h1>
					<p>The account for {{firstname}} {{lastname}} has been successfully created</p>
				{% endif %} -->
				<form action="{% url 'todolist:register' %}" method="post">
					<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
					<!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
					{% csrf_token %}

					<div class="mb-3">
					    <label for="username">Username: </label>
					    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="first_name">First Name: </label>
					    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="last_name">Last Name: </label>
					    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="email">Email: </label>
					    <input class="form-control" id="email" type="text" name="email" value="{{ email }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="password">Password: </label>
					    <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="confirm_password">Confirm Password: </label>
					    <input class="form-control" id="confirm_password" type="password" name="confirm_password" value="{{ confirm_password }}" maxlength="20" required>
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Register">
					</div>

				</form>
			</div>
		</div>
	</div>
	{% endblock %}



<!-- {% if is_user_registered == False %}
	<h1>Duplicate User Found</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>
{% else %}
	<h1>User Successful Created</h1>
	<p>The account for {{firstname}} {{lastname}} has been successfully created</p>
{% endif %} -->